@font-face {
  font-family: 'Dosis';
  font-weight: 300;
  src: url('assets/Dosis-Light.ttf');
}
@font-face {
  font-family: 'Dosis';
  font-weight: 400;
  src: url('assets/Dosis-Regular.ttf');
}
@font-face {
  font-family: 'Dosis';
  font-weight: 500;
  src: url('assets/Dosis-Medium.ttf');
}

@font-face {
  font-family: 'Dosis';
  font-weight: 600;
  src: url('assets/Dosis-SemiBold.ttf');
}
@font-face {
  font-family: 'Dosis';
  font-weight: 700;
  src: url('assets/Dosis-Bold.ttf');
}

@font-face {
  font-family: 'Bangers';
  font-weight: 400;
  src: url('assets/Bangers-Regular.ttf');
}

:root {
  font-family: 'Dosis', sans-serif;
  font-weight: 400;
  --color-page: #030305;
  /* --color-page: #212223; */
  --color-primary: #fdc300;
  --color-text: white;
}

body {
  margin: 0;
  background-color: var(--color-page);
  color: var(--color-text);
}

main {
  padding-inline: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.content-width {
  width: 100%;
  max-width: 35rem;
}

a {
  color: var(--color-primary);
}

h1 {
  all: unset;
  display: block;
  font-family: 'Bangers', sans-serif;
  font-size: 1.5em;
}

h3 {
  all: unset;
  display: block;
  margin-block: 1rem;
  font-weight: 600;
}

em {
  all: unset;
  font-weight: 600;
}

dl {
  all: unset;
  display: block;
  dt {
    all: unset;
    display: block;
    margin-top: 1rem;
    font-weight: 600;
  }
  dd {
    all: unset;
    display: block;
  }
}

.banner {
  position: relative;
  max-width: 20rem;
  .decor {
    position: absolute;
    inset: 0;
  }
  .shadow {
    background-color: #00000080;
    filter: blur(0.25em);
    rotate: -1deg;
  }
  .border {
    background-color: black;
    rotate: -2deg;
  }
  .fill {
    inset: 0.2em;
    background-color: white;
    rotate: -1.6deg;
  }
  .content {
    position: relative;
    padding: 1em;
  }
}

.heading-solid {
  all: unset;
  margin-top: 3rem;
  margin-bottom: 2rem;
  display: block;
  div {
    position: relative;
    display: inline-block;
    &::before {
      content: '';
      position: absolute;
      inset: 0;
      background-color: var(--color-primary);
      box-shadow: 0.25em 0.25em 0 oklch(from var(--color-primary) calc(l/2) c h);
      transform: skewX(-10deg);
    }
    span {
      position: relative;
      padding: 0.5rem 2rem 0.2rem 0.5rem;
      display: block;
      font-family: 'Bangers', sans-serif;
      font-size: 1.5rem;
      color: black;
    }
  }
}

.badge {
  position: relative;
  margin-block: 1em;
  display: inline-block;
  .decor {
    position: absolute;
    inset: 0;
  }
  .panel {
    background-color: var(--color-primary);
    box-shadow: 0.25rem 0.25rem 0 oklch(from var(--color-primary) calc(l/2) c h);
    transform: skewX(-10deg);
  }
  .content {
    position: relative;
    padding: 0.5rem 2rem 0.2rem 0.5rem;
    color: black;
  }
}

nav {
  position: sticky;
  top: 0;
  z-index: 1;
  padding: 0 0.5rem;
  display: flex;
  justify-content: center;
  background: var(--color-text);
  color: var(--color-page);
  div {
    display: flex;
    a {
      color: var(--color-page);
      text-decoration: none;
      padding: 0.75rem 0.5rem;
      &:active, &.pseudo-active {
        background-color: var(--color-primary);
      }
    }
  }
}

header {
  padding: 1rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  background-color: var(--color-primary);

  .lead {
    margin-block: 2rem;
    color: black;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.75rem;
  }

  .lead-image {
    display: flex;
    justify-content: center;
    overflow: hidden;
    img {   
      width: 100%;
      max-width: 35rem;
      max-height: 100vh;
      object-fit: contain;
    }
  }
}

.call-to-collection {
  margin-block-start: 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;

  span {
    font-weight: 500;
  }
}

.member-card {
  margin-top: 1rem;
  max-width: 35rem;
  padding: 1rem;
  display: grid;
  grid-template-columns: auto 33%;
  gap: 1rem;
  background-color: var(--color-primary);
  color: black;
  .details {
    grid-column: 1;
    grid-row: 1;
    display: flex;
    flex-direction: column;
    .name {
      all: unset;
      margin-bottom: 1rem;
      font-size: 1.25rem;
      font-weight: 600;
    }
    a {
      color: black;
    }
    blockquote {
      all: unset;
      margin-top: 1rem;
      &::before {
        content: "\00ab";
      }
      &::after {
        content: "\00bb";
      }
    }
  }
  figure {
    all: unset;
    position: relative;
    grid-column: 2;
    grid-row: 1;
    align-self: start;
    .frame {
      position: absolute;
      inset: 0;
      background-color: black;
      rotate: -0.6deg;
      &::before {
        content: '';
        position: absolute;
        inset: 0;
        background-color: #00000080;
        filter: blur(0.25em);
        rotate: -1deg;
      }
    }
    .picture {
      position: relative;
      padding: 0.25rem;
    }
    img {
      position: relative;
      max-width: 100%;
    }
  }
}


footer {
  padding: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;

  .schtiikholders {
    margin-block: 3rem;
    display: flex;
    flex-direction: column;
    gap: 5rem;
    .steaky {
      flex: 50% 0 0;
      display: grid;
      justify-items: center;
      grid-template-rows: 5rem auto;
      gap: 1rem;
      img {
        max-width: 100%;
        max-height: 100%;
      }
    }
  }
}